use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile
  (
   NAME         => 'Pd::Socket',
   VERSION_FROM => 'Socket.pm', # finds $VERSION
   AUTHOR       => 'Bryan Jurish <moocow@ling.uni-potsdam.de>',
   ABSTRACT     => 'Perl wrapper classes for Pd [netsend] / [netreceive]',
   PREREQ_PM    => {
		    Socket => undef,
		    IO::Socket => undef,
		    IO::Socket::INET => undef,
		   },
  );

#---------------------------------------------------------------
# Extensions
#---------------------------------------------------------------

sub MY::postamble {
  # how to format the README file
  "README.txt : README.pod\n"
  ."\tpod2text README.pod README.txt\n\n";
}

sub MY::dist_core {
  package MY;
  my $inherited = shift->SUPER::dist_core(@_);
  $inherited =~
    # ... distribution requires current README file
    s/^dist\s*:/dist\ : README.txt/m;
  $inherited;
}
